#include "Arduino.h"
#include "ToyCar.h"

ToyCar::ToyCar(int fwd_pin, int rev_pin, int left_pin, int right_pin)
{
  pinMode(fwd_pin, OUTPUT);
  pinMode(rev_pin, OUTPUT);
  pinMode(left_pin, OUTPUT);
  pinMode(right_pin, OUTPUT);
  _fwd_pin = fwd_pin;
  _rev_pin = rev_pin;
  _left_pin = left_pin;
  _right_pin = right_pin;
}



void ToyCar::left()
{
  digitalWrite(_right_pin, LOW);
  digitalWrite(_left_pin, HIGH);
}

void ToyCar::right()
{
  digitalWrite(_left_pin, LOW);
  digitalWrite(_right_pin, HIGH);
}

void ToyCar::straight()
{
	digitalWrite(_left_pin, LOW);
	digitalWrite(_right_pin, LOW);
}

void ToyCar::fwd(byte val)
{
	digitalWrite(_rev_pin, LOW);
	analogWrite(_fwd_pin, val);
}

void ToyCar::rev(byte val)
{
	digitalWrite(_fwd_pin, LOW);
	analogWrite(_rev_pin, val);
}

void ToyCar::stop()
{
	digitalWrite(_fwd_pin, LOW);
	digitalWrite(_rev_pin, LOW);
}
	
